services:
    app.security.handler.portal.failure:
        class: App\Security\Handler\Portal\AuthenticationFailureHandler
        arguments:
            - '@app.view_handler'

    app.security.handler.portal.success:
        class: App\Security\Handler\Portal\AuthenticationSuccessHandler
        arguments:
            - '@app.authentication.cookie.factory'
            - '@app.view_handler'
